Revert site permission subpanel changes
The sub panel for site permissions isn't part of the designs anymore, so UI changes to that should be reverted.

Note that we should keep test coverage added in those bugs  and 
